package com.futu.course.es.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
import org.springframework.data.mongodb.core.mapping.MongoId;

import java.util.Date;

/**
 * 课程表
 */
@Data
// 对 ES 中的 course 进行映射
@Document(indexName = "course")
@NoArgsConstructor
@AllArgsConstructor
public class ESCourse {
    // 用于 Elasticsearch 的主键注解
    @Id
    // 用于 MongoDB 的主键注解
    @MongoId
    @Field(type = FieldType.Long)
    private Long id;

    @Field(name = "name", type = FieldType.Text, analyzer = "ik_max_word")
    private String name;

    @Field(name = "uid", type = FieldType.Long)
    private Long uid;

    @Field(name = "create_time", type = FieldType.Date, format = {}, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}